import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.table.*;
import javax.swing.text.*;
import java.util.*;
import java.sql.*;
import java.text.*;

/**
 * Clase de utileria para apoyar a tareas repetitivas de Swing
 * 
 * @author G. Cherencio
 * @version 1.0
 */
public class SwingUtil {
    public static void errMsg(final String msg) {
        errMsg(msg,"Error");
    }
    public static void errMsg(final String msg,final JComponent txt) {
        errMsg(msg,"Error",txt);
    }
    public static void errMsg(final String msg,final String titulo) {
        errMsg(msg,titulo,null);
    }
    public static void errMsg(final String msg,final String titulo,final JComponent txt) {
        JOptionPane.showMessageDialog(null,msg,titulo,JOptionPane.ERROR_MESSAGE);
        if ( txt != null ) txt.requestFocus();
    }
    // validaciones basicas de datos
    /**
     * Valida que el ingreso sea un numero Double mayor que cero
     * @return null si el ingreso es incorrecto, sino devuelve objeto Double
     */
    public static Double chkDouble(final String msg,final JTextComponent txt) {
        Double d = null;
        try {
            d = new Double(txt.getText());
            if ( d < 0 ) {
                errMsg(msg,txt);
                return null;
            }
        }catch(NumberFormatException nfe) {
            errMsg("["+txt.getText()+"] no es un numero!",txt);
            return null;
        }
        return d;
    }
    /**
     * Valida que el ingreso de texto tenga al menos N caracteres
     * @return true si el ingreso es incorrecto, sino devuelve false
     */
    public static boolean chkText(final String msg,final JTextComponent txt,final int length) {
        if ( txt.getText().length() < length ) {
            errMsg(msg,txt);
            return false;
        } else return true;
    }
}
